Get Action Run By Id

Get Action Run By Id
Fetch an action run by its ID

Retrieves an action run entity with a specific ID

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/action-runs/{id}
COPY
Path Parameters
string
id
Required

ID of the action run


Authentication
This operation uses the following authentication methods.
Responses
200

Action run found

Returns ActionRun of type(s) */*
{
    "id": "string",
    "name": "string",
    "createdMillis": 0,
    "orgId": "string",
    "runState": "string",
    "actionId": "string",
    "actionType": "string",
    "inputs": {},
    "outputs": {},
    "errorMessage": "string",
    "logs": "string",
    "triggeredBy": "string",
    "endTimeMillis": 0,
    "startTimeMillis": 0,
    "runtime": "string",
    "provider": "string",
    "source": "string",
    "timeoutSeconds": 0,
    "projectId": "string",
    "runProjectId": "string",
    "scalable": false,
    "actionVersionId": "string",
    "actionVersionName": "string",
    "configuration": {},
    "system": false
}

404

Action run not found

Returns ActionRun of type(s) */*
{
    "id": "string",
    "name": "string",
    "createdMillis": 0,
    "orgId": "string",
    "runState": "string",
    "actionId": "string",
    "actionType": "string",
    "inputs": {},
    "outputs": {},
    "errorMessage": "string",
    "logs": "string",
    "triggeredBy": "string",
    "endTimeMillis": 0,
    "startTimeMillis": 0,
    "runtime": "string",
    "provider": "string",
    "source": "string",
    "timeoutSeconds": 0,
    "projectId": "string",
    "runProjectId": "string",
    "scalable": false,
    "actionVersionId": "string",
    "actionVersionName": "string",
    "configuration": {},
    "system": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/action-runs/{id}